Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Class HttpInput

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.eclipse.jetty.server.HttpInput

All Implemented Interfaces:
  java.io.Closeable

    public class HttpInput

extends ServletInputStream

Field Summary
`protected long` | `_maxIdleTime`
`protected HttpParser` | `_parser`

Constructor Summary
`HttpInput(HttpParser parser, long maxIdleTime)`

Method Summary
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class javax.servlet.ServletInputStream
`readLine`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _parser

    protected final HttpParser _parser

### _maxIdleTime

    protected final long _maxIdleTime

Constructor Detail

### HttpInput

    public HttpInput(HttpParser parser,
                     long maxIdleTime)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.